Retrieve Notification - m3ter Documentation
Retrieve Notification
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/notifications/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 4XX
- 5XX
Response Example
{
"id": "<string>",
"name": "Commitment has under 10% remaining",
"description": "Commitment amount fell below 10% product",
"code": "commitment_under_10_percent",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"active": true,
"alwaysFireEvent": false,
"eventName": "configuration.commitment.updated",
"calculation": "(new.amountSpent >= ((new.amount*90)/100)) \nAND ((old.amountSpent <= ((old.amount*90)/100)) OR (old.amountSpent == null))"
}
Authorizations
Authorization
- Type: string
- In: header
- Required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId
- Type: string
- Required
- The unique identifier (UUID) of your Organization.
id
- Type: string
- Required
- The unique identifier (UUID) of the Notification to retrieve.